Subject: bug#29372: 26.0.90; Consistent crash on Mac OS X when visiting a file

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Nov 2017 21:30:35 +0200

> From: "John Wiegley" <[email-masked]>
> Date: Mon, 20 Nov 2017 17:57:25 -0800
> 
> However, this doesn't happen when I start with emacs -Q. Here's the stack
> trace from the failure. It continues like this for thousands of repeating
> lines until aborting.
> 
> I can help debug it under lldb, if you can tell me what to look for.

First thing to look for is which of the 3 recursive calls to
substitute_object_recurse are taken?

The next question is where in the problematic file are we reading when
the infinite recursion happens?  This could be easier to establish
starting at read_internal_start in frame 203820 (where you can see
what is 'stream').